//---------------------------------------------------------------
//URLからファイル名を取得し、選択されたメニューにクラスを設定する
//---------------------------------------------------------------
function set_SelectedTabClass(startingKind) {
	
	//ブラウザ判定(IEのみ)
	if(!checkIE()){
		alert("このアプリケーションは、ご使用のブラウザには、対応していません。\nInternet Explorer をご利用ください。");
	}

	//URLからファイル名を取得
	var strFileName = getFileName(location.href);

	//IDを設定
	var ID_Menu1 = "NavigationMenu";																//1段目のID
	var ID_Menu2 = "Nest1Content_NestMenu";													//2段目のID
	var ID_Menu3 = "Nest1Content_Nest2Content_NestMenu";						//3段目のID

	//定義ファイル
	//ファイル名と大項目、中項目、小項目のMenuの位置を定義
	//FileName:"ファイル名（拡張子をのぞく）"
	//L:"大項目の位置"（左端：0番目）
	//M:"中項目の位置"（左端：0番目）
	//S:"小項目の位置"（左端：0番目）
	var SetClass = [];
	var num1,num2,num3;

	//-------
	//FBU画面
	//-------
	if (startingKind == "0") {

		SetClass = [
			{ FileName: "best_pass",     L: "0", M: "0", S: "0" },
			{ FileName: "best_network",  L: "0", M: "0", S: "1" },
			{ FileName: "best_dns",      L: "0", M: "0", S: "2" },
			{ FileName: "best_domain",   L: "0", M: "0", S: "3" },
			{ FileName: "best_proxy",    L: "0", M: "0", S: "4" },
			{ FileName: "best_datetime", L: "0", M: "0", S: "5" },
			{ FileName: "best_finish",   L: "1", M: "" , S: ""  }
		]

	//-------
	//WUI画面
	//-------
	} else {

		SetClass = [
			{ FileName: "best_alert",	    L: "0", M: "0", S: ""  },
			{ FileName: "best_server",    L: "0", M: "1", S: ""  },
			{ FileName: "best_log",	      L: "0", M: "2", S: ""  },
			{ FileName: "best_update",    L: "1", M: "0", S: "0" },
			{ FileName: "best_tools",	    L: "1", M: "1", S: ""  },
			{ FileName: "best_shutdown",  L: "1", M: "2", S: ""  },
			{ FileName: "best_adminpass", L: "2", M: "0", S: "0" },
			{ FileName: "best_network",   L: "2", M: "0", S: "1" },
			{ FileName: "best_dns",       L: "2", M: "0", S: "2" },
			{ FileName: "best_domain",    L: "2", M: "0", S: "3" },
			{ FileName: "best_proxy",     L: "2", M: "0", S: "4" },
			{ FileName: "best_datetime",  L: "2", M: "0", S: "5" }
		]
	}

	if(strFileName != "" && strFileName != "undefined"){
		for(var i = 0 ; i < SetClass.length ; i++){

			if( strFileName == SetClass[i].FileName ){								//URLから取得したファイル名と定義ファイルの一致
				//1段目のMenuを設定
				num1 = parseInt(SetClass[i].L);
				var element = document.getElementById(ID_Menu1);

				if( element != null ) {
					if(element.hasChildNodes()){
						//var childs1  = element.childNodes[0].childNodes;
						var childs1  = element.getElementsByTagName("LI");
						childs1[num1].className = "SelectedTab";
					}
				}

				//2段目のMenuを設定
				if (SetClass[i].M != "") {
					num2 = parseInt(SetClass[i].M);
					var element = document.getElementById(ID_Menu2);

					if( element != null ) {
						if(element.hasChildNodes()){
							//var childs2 = element.childNodes[0].childNodes;
							var childs2  = element.getElementsByTagName("LI");
							childs2[num2].className = "SelectedTab";
						}
					}
				}

				//3段目のMenuを設定
				if (SetClass[i].S != "") {
					num3 = parseInt(SetClass[i].S);
					var element = document.getElementById(ID_Menu3);

					if( element != null ) {
						if(element.hasChildNodes()){
							//var childs3  = element.childNodes[0].childNodes;
							var childs3  = element.getElementsByTagName("LI");
							childs3[num3].className = "SelectedTab";
						}
					}
				}
				break;
			}
		}
	}

}

//--------------------------------------------------------------
//URLから拡張子を除くファイル名を取得
//--------------------------------------------------------------
function getFileName(file_url){

	file_url = file_url.substring(file_url.lastIndexOf("/") + 1 ,file_url.length);
	file_url = file_url.substring(0, file_url.indexOf("."));

	return file_url;
}

//--------------------------------------------------------------
//ブラウザ判定
//
// 1.0.1.0 IE11対応 (判定条件に'trident'を追加)
//--------------------------------------------------------------
function checkIE() {

    var userAgent = window.navigator.userAgent.toLowerCase();

    if (userAgent.indexOf('msie') != -1) {
        return true;       // IE4～IE10 
    }
    else {
        if (userAgent.indexOf('trident') != -1) {
            return true;   // IE11
        }
        else {
            return false;  // other browser
        }
    }

}
